<?php

use App\Http\Controllers\SpecialityController;
use Illuminate\Support\Facades\Route;

Route::get('/specialities',       [SpecialityController::class, 'index'])->middleware('permission:config.speciality,view');
Route::post('/speciality',        [SpecialityController::class, 'store'])->middleware('permission:config.speciality,add');
Route::get('/speciality/{id}',    [SpecialityController::class, 'show'])->middleware('permission:config.speciality,view');
Route::put('/speciality/{id}',    [SpecialityController::class, 'update'])->middleware('permission:config.speciality,edit');
Route::delete('/speciality/{id}', [SpecialityController::class, 'destroy'])->middleware('permission:config.speciality,delete');
